Update Record Any
curl --request POST \
--url 'https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_UPDATE_RECORD_ANY' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool": "SALESFORCE_UPDATE_RECORD_ANY",
"parameters": {
"recordType": "<string>",
"recordId": "<string>"
}
}
'import requests
url = "https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_UPDATE_RECORD_ANY"
payload = {
"tool": "SALESFORCE_UPDATE_RECORD_ANY",
"parameters": {
"recordType": "<string>",
"recordId": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tool: 'SALESFORCE_UPDATE_RECORD_ANY',
parameters: {recordType: '<string>', recordId: '<string>'}
})
};
fetch('https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_UPDATE_RECORD_ANY', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_UPDATE_RECORD_ANY",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tool' => 'SALESFORCE_UPDATE_RECORD_ANY',
'parameters' => [
'recordType' => '<string>',
'recordId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_UPDATE_RECORD_ANY"
payload := strings.NewReader("{\n \"tool\": \"SALESFORCE_UPDATE_RECORD_ANY\",\n \"parameters\": {\n \"recordType\": \"<string>\",\n \"recordId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_UPDATE_RECORD_ANY")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tool\": \"SALESFORCE_UPDATE_RECORD_ANY\",\n \"parameters\": {\n \"recordType\": \"<string>\",\n \"recordId\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_UPDATE_RECORD_ANY")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tool\": \"SALESFORCE_UPDATE_RECORD_ANY\",\n \"parameters\": {\n \"recordType\": \"<string>\",\n \"recordId\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"omittedFields": [
"recordId"
],
"warning": "The following fields were omitted from the update because they are not updateable on this record type: recordId"
}Tools
Update Record Any
POST
/
projects
/
{project_id}
/
tools
/
#SALESFORCE_UPDATE_RECORD_ANY
Update Record Any
curl --request POST \
--url 'https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_UPDATE_RECORD_ANY' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool": "SALESFORCE_UPDATE_RECORD_ANY",
"parameters": {
"recordType": "<string>",
"recordId": "<string>"
}
}
'import requests
url = "https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_UPDATE_RECORD_ANY"
payload = {
"tool": "SALESFORCE_UPDATE_RECORD_ANY",
"parameters": {
"recordType": "<string>",
"recordId": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tool: 'SALESFORCE_UPDATE_RECORD_ANY',
parameters: {recordType: '<string>', recordId: '<string>'}
})
};
fetch('https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_UPDATE_RECORD_ANY', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_UPDATE_RECORD_ANY",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tool' => 'SALESFORCE_UPDATE_RECORD_ANY',
'parameters' => [
'recordType' => '<string>',
'recordId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_UPDATE_RECORD_ANY"
payload := strings.NewReader("{\n \"tool\": \"SALESFORCE_UPDATE_RECORD_ANY\",\n \"parameters\": {\n \"recordType\": \"<string>\",\n \"recordId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_UPDATE_RECORD_ANY")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tool\": \"SALESFORCE_UPDATE_RECORD_ANY\",\n \"parameters\": {\n \"recordType\": \"<string>\",\n \"recordId\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_UPDATE_RECORD_ANY")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tool\": \"SALESFORCE_UPDATE_RECORD_ANY\",\n \"parameters\": {\n \"recordType\": \"<string>\",\n \"recordId\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"omittedFields": [
"recordId"
],
"warning": "The following fields were omitted from the update because they are not updateable on this record type: recordId"
}Provider API: Salesforce REST API (Latest version available to the connected org).
Authorizations
Your Paragon User Token (JWT), which you can generate using your project's signing keys.
Path Parameters
Your Paragon Project ID. You can copy your Project ID from your dashboard URL or by clicking Copy Project ID under the Environment switcher.
Body
application/json
Response
200 - application/json
Salesforce does not return a body when a record is updated, so the Tool returns success. Fields that cannot be updated on the record are listed in omittedFields with a warning; In practice recordId is listed on every update. If none of the fields can be updated, no request is made and the response has success: false and an error.